import { get, put, post, deletes } from '@/http/index'

// 查询维修记录列表
export const getMaintainRecord = async (data) => {
  return await get('/als/maintainRecord/list', data)
}

// 新增维修记录
export const addMaintainRecord = async (data) => {
  return await post('/als/maintainRecord', data)
}

// 修改维修记录
export const updateMaintainRecord = async (data) => {
  return await put('/als/maintainRecord', data)
}

// 删除维修记录
export const removeMaintainRecord = async (id) => {
  return await deletes('/als/maintainRecord/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
